/*
* $LastChangedBy$
* $LastChangedDate$
* $LastChangedRevision$
* $HeadURL$
*
* Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
*/

import Foundation
import UIKit

@objc public class AdvancedEvent: Event {
    @objc public var eventName: String

    private var _context: [String]?
    @objc public var context: [String]? {
        return self._context
    }

	private var myLocation: UIViewController?

	@objc public init(eventName: String) {
        self.eventName = eventName
    }

    @objc public init(eventName: String, context: [String]) {
        self.eventName = eventName
        self._context = context
    }
    
    @objc public override func message() -> String {
        return "'\(self.eventName)' - \(self.name)"
    }
}
